
body {
    margin: 0;
    padding: 0;
    font-family: "Uncial Antiqua", serif;
    background: #e9e2d4;
    position: relative;
    overflow-x: hidden;
}


.texture-bg {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    background-image: url("img/texture_bg.png");
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    opacity: 0.35;
    z-index: 0;
}


.top-menu {
    position: fixed;
    top: 20px;
    left: 20px;
    display: flex;
    gap: 15px;
    z-index: 1000;
}

.top-menu a {
    font-family: "Uncial Antiqua", serif;
    text-decoration: none;
    font-size: 14px;
    color: #4A3F2B;
    background: #e8e3d7;
    padding: 8px 20px;
    border-radius: 30px;
    border: 1px solid #d0c7b9;
    box-shadow: 0 2px 3px rgba(0,0,0,0.1);
    transition: 0.25s;
}

.top-menu a:hover {
    background: #d8d1c3;
    transform: translateY(-2px);
}


.hero {
    position: relative;
    width: 100%;
    max-width: 900px;
    margin: 180px auto 0 auto;
    text-align: center;
    z-index: 5;
}


.arc-text {
    width: 100%;
    height: 420px;     
    overflow: visible;
}

.arc-text text {
    font-family: "Uncial Antiqua";
    font-size: 20px;
    fill: #4A3F2B;
}


.hero-title {
    position: absolute;
    top: 215px;       
    left: 50%;
    transform: translateX(-50%);
    color: #4A3F2B;
    font-family: "Uncial Antiqua";
    font-size: 50px;
    line-height: 1.1;
    text-align: center;
}


.hero-ornament {
    display: block;
    width: 513px;
    margin: -40px auto 0 auto;
    opacity: 0.35;
}
.ornament-right {
    position: absolute;
    right: -270px;
    top: -180px;      
    width: 550px;
    height: auto;
    pointer-events: none;
    z-index: 2;
    opacity: 0.9;
}


.left {
    position: absolute;
    left: -270px;   
    top: 260px;     
    width: 400px;   
    height: auto;
    z-index: 2;
    pointer-events: none;
    opacity: 0.9;   
}
.okna {
    position: absolute;
    top: 700px;       
    left: -70px;       
    width: 500px;     
    height: auto;
    z-index: 5;
    pointer-events: none;
}
.g2 {
    position: absolute;
    top: 1150px;                
    left: 320px;               
    width: 1000px;              
    height: auto;
    z-index: 5;
    pointer-events: none;
}

.g1 {
    position: absolute;
    top: 963px;    
    left: -310px;    
    width: 220px;  
    height: auto;
    z-index: 40;    
    pointer-events: none;
}
.hero-paragraph {
    position: absolute;
    top: 764px;
    left: 325px;

    width: 750px;     

    display: block;    
    white-space: normal;   
    word-wrap: break-word; 

    font-family: "Kodchasan", sans-serif;
    font-weight: 300;
    font-size: 18px;
    line-height: 1.42;
    color: #4A3F2B;
    text-align: left;
    z-index: 60;
}
.section-title {
    font-family: "Uncial Antiqua", serif;
    font-size: 50px;
    color: #4A3F2B;
    text-align: center;
    display: block;   
    margin-top: 463px;   
    left: 10px;
   
    margin-bottom: 20px;
    z-index: 50;
    position: relative;
}

.historia-text {
    font-family: "Kodchasan", sans-serif;
    font-weight: 300;
    font-size: 18px;
    color: #4A3F2B;
    text-align: left;
    top: 250px; 
    width: 65%;            
    margin: 20px auto 0 auto;

    line-height: 1.6;
    z-index: 10;
    position: relative;
}

.g3 {
    position: absolute;
    left: -280px;      
    top: 1400px;      
    width: 700px;     
    height: auto;
    z-index: 5;
    pointer-events: none;
}.dome {
    position: absolute;
    right: -269px;      
    top: 1120px;       
    width: 700px;      
    height: auto;
    z-index: 5;
    pointer-events: none;
    opacity: 0.9;      
}



.cechy-title {
    font-family: "Uncial Antiqua", serif;
    font-size: 30px;                
    color: #4A3F2B;
    left: -72px;      
    top: 390px;
    text-align: left;
    line-height: 1.1;
    margin-top: 200px;              
    margin-bottom: 80px;
    z-index: 10;
    position: relative;
}

.cechy-list {
    position: relative;
    left: -72px;       
    top: 390px;        
    width: 500px;      
    z-index: 10;
}


.cechy-list ul {
    list-style-type: none;   
    padding: 0;
    margin: 0 0 20px 0;
     text-align: left;
}

.cechy-list li {
    font-family: "Kodchasan", sans-serif;
    font-weight: 300;         
    font-size: 18px;
    color: #4A3F2B;
    line-height: 1.4;
    margin-bottom: 6px;
    position: relative;
}


.cechy-list li::before {
    content: "•";
    position: absolute;
    left: -18px;
    color: #4A3F2B;
   
}


.cechy-text {
    font-family: "Kodchasan", sans-serif;
    font-weight: 300;
    font-size: 18px;
    color: #4A3F2B;
    line-height: 1.5;
    margin-top: 25px;
    width: 700px;     
     text-align: left;
}
.tlo2 {
    position: absolute;
    top: 2200px;      
    left: 0;
    width: 100%;      
    height: auto;
    pointer-events: none;
    z-index: 3;       
}
.zabytki-title {
    font-family: "Uncial Antiqua", serif;
    
    font-size: 38px;          
    color: #4A3F2B;
    text-align: center;
    margin-top: 560px;        
    margin-bottom: 80px;
    letter-spacing: 1px;
    padding-top: 60px;
    
}
.zabytki-grid {
    display: flex;
    justify-content: space-between;  
    align-items: flex-start;
    width: 100%;
    max-width: 1100px;
    margin: 0 auto 120px auto;       
    padding-bottom: 60px;
}

.zabytki-item {
    width: 30%;                      
    text-align: center;
    font-family: "Kodchasan", sans-serif;
    font-weight: 700;
    color: #4A3F2B;
    font-size: 16px;
}

.zabytki-item img {
    width: 100%;
    height: auto;
    border-radius: 8px;              
    
}


.zabytki-item h3 {
    margin-top: 15px;
    margin-bottom: 8px;
    font-family: "Kodchasan", sans-serif;
    font-weight: 700;      
    font-size: 20px;
    color: #4A3F2B;
}

.zabytki-item p {
    font-family: "Kodchasan", sans-serif;
    font-weight: 300;       
    font-size: 15px;
    line-height: 1.4;
    color: #4A3F2B;
    margin: 0;
}
.zabytki-section {
    background: #C9BFAE;      
    padding: 0;  1%;        
    margin-top: 100px;        
    width: 200%;
    margin-left: 50%;
transform: translateX(-50%);
}

.stopka {
    width: 100%;
    background-color: #F4EFE7; 
    position: relative;
    padding: 60px 0;
}

.stopka-l1 {
    position: absolute;
    left: 90px;
    top: -120px;        
    width: 500px;    
    padding-bottom: 90px;
}

.stopka-l2 {
    position: absolute;
    right: 0;
    top: -20px; 
    bottom: -120x;     
    width: 600px;
}

.stopka-content {
    max-width: 1100px;
    margin: 0 auto;
    display: flex;
    justify-content: space-between;
    gap: 40px;
    position: relative;
    top: 70px;     
    left: 15px;     
}

.stopka-column h3 {
    font-family: "Kodchasan", sans-serif;
     width: 500px;
    color: #4A3F2B;
    margin-bottom: 4px;
}

.stopka-column p {
    font-family: "Kodchasan", sans-serif;
    font-weight: 400;
    color: #4A3F2B;
    line-height: 1.5;
    margin-top: 0px;

}


.stopka-p-2 {
    position: relative;
    top: -290px;
    left: 180px;     
.stopka-p-2 a {
    color: #4A3F2B;
    text-decoration: underline;
}
.stopka-p-2 a:hover {
    text-decoration: underline;
}


.stopka-p-3 {
    position: absolute;
    right: 90px;          
    top: -30px;             
    transform: translateY(-50%);  
    margin: 0;
}


.stopka-p-3 strong {
    font-weight: 700;
}


.stopka-p-3 a {
    color: #4A3F2B;
    text-decoration: none;
}
.stopka-p-3 a:hover {
    text-decoration: underline;
}



.stopka-p-4 {
    position: absolute;
    right: -30px;         
    top: 220px;
    width: 200px;             
    transform: translateY(-50%);  
    margin: 0;
    padding-bottom: 40px;
}


.stopka-p-3 strong {
    font-weight: 700;
}


.stopka-p-4 a {
    color: #4A3F2B;
    text-decoration: none;
}
.stopka-p-4 a:hover {
    text-decoration: underline;
}

.stopka-qr {
    position: absolute;
    left: 1130px;
    top: 120px;        /
    width: 70px;      
    padding-bottom: 90px;
}



